## python-requests-unixsocket 0.3.0

=== Makefile ===

clean:
	find . -name '*.pyc' -exec rm -f {} +
	find . -name '*.pyo' -exec rm -f {} +
	find . -name '*~' -exec rm -f {} +
	find . -name '__pycache__' -exec rm -rf {} +

test:
	tox -e py27

test-tox:
	tox

## python-requests-unixsocket 0.1.5

=== debian/changelog ===
python-requests-unixsocket (0.1.5-0ubuntu4) xenial; urgency=medium

  * debian/rules: Fix python3 install. 

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 09 Mar 2016 10:13:41 -0500

python-requests-unixsocket (0.1.5-0ubuntu3) xenial; urgency=medium

  * debian/rules: Remove __pycache__

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 09 Mar 2016 08:50:28 -0500

python-requests-unixsocket (0.1.5-0ubuntu2) xenial; urgency=medium

  * debian/rules: Enable tests 
  * debian/watch: Fix watch file


 -- Chuck Short <zulcss@ubuntu.com>  Thu, 03 Mar 2016 15:28:08 -0500

python-requests-unixsocket (0.1.5-0ubuntu1) xenial; urgency=medium

  * Initial release.

 -- Chuck Short <zulcss@gmail.com>  Tue, 16 Feb 2016 12:54:36 -0500

=== debian/control ===
Source: python-requests-unixsocket
Section: python
Priority: optional
Maintainer: Chuck Short <zulcss@buntu.com>
Build-Depends: debhelper (>=9),
               dh-python, 
               python-all (>= 2.6.6-3~),
               python-setuptools,
               python3-all,
               python3-setuptools,
               python-pbr,
               python3-pbr
Build-Depends-Indep: python-requests,
                     python-urllib3,
                     python3-requests,
                     python3-urllib3,
                     python-waitress,
                     python3-waitress,
                     python-pytest,
                     python3-pytest
Standards-Version: 3.9.6
Homepage: https://github.com/msabramo/requests-unixsocket
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.2

Package: python-requests-unixsocket
Architecture: all
Depends: python-requests, ${python:Depends}, ${misc:Depends}
Description: use requests to talk HTTP via a UNIX domain socket (Python 2)
 Requests is an HTTP library, written in Python, for human beings. This
 library adds optional support for requests to talk to HTTP via a UNIX
 socket.
 .
 This package installs the library for Python 2.

Package: python3-requests-unixsocket
Architecture: all
Depends: python-requests, ${python3:Depends}, ${misc:Depends}
Description: use requests to talk HTTP via a UNIX domain socket (Python 3)
 Requests is an HTTP library, written in Python, for human beings. This
 library adds optional support for requests to talk to HTTP via a UNIX
 socket.
 .
 This package installs the library for Python 3.

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1


PYTHONS:=$(shell pyversions -vr)
PYTHON3S:=$(shell py3versions -vr)

%:
	dh $@  --with python2,python3 --buildsystem=pybuild

override_dh_install:
	set -ex && for pyvers in $(PYTHONS); do \
	     python$$pyvers setup.py install --install-layout=deb \
	        --root $(CURDIR)/debian/python-requests-unixsocket; \
	done
	set -ex && for pyvers in $(PYTHON3S); do \
	     python$$pyvers setup.py install --install-layout=deb \
	        --root $(CURDIR)/debian/python3-requests-unixsocket; \
	done

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	set -e && set -x && \
	for i in 2.7 $(PYTHON3S) ; do \
	    echo "===> Testing for python$$i" ; \
	    PYTHONPATH=$(CURDIR) py.test-$$i requests_unixsocket/tests ;\
	done
endif

override_dh_auto_clean:
	rm -rf __pycache__

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
http://pypi.debian.net/requests-unixsocket/requests-unixsocket-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-requests-unixsocket 0.2.0

=== debian/changelog ===
python-requests-unixsocket (0.2.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 21 Oct 2019 10:19:02 +0200

python-requests-unixsocket (0.2.0-1) experimental; urgency=medium

  * New upstream release.
  * Removed non-case-sensitive-url-cmp.patch applied upstream.

 -- Thomas Goirand <zigo@debian.org>  Mon, 23 Sep 2019 17:43:30 +0200

python-requests-unixsocket (0.1.5-4) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Use team+openstack@tracker.debian.org as maintainer
  * Use debhelper-compat instead of debian/compat.
  * d/control: Set Vcs-* to salsa.debian.org

  [ Daniel Baumann ]
  * Updating copyright format url.
  * Updating maintainer field.
  * Running wrap-and-sort -bast.
  * Removing gbp.conf, not used anymore or should be specified in the
    developers dotfiles.
  * Updating standards version to 4.1.0.

  [ Thomas Goirand ]
  * Removed Python 2 support (Closes: #938142).

 -- Thomas Goirand <zigo@debian.org>  Sat, 14 Sep 2019 17:50:31 +0200

python-requests-unixsocket (0.1.5-3) unstable; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * Bumped debhelper compat version to 10

  [ Ondřej Kobližek ]
  * Non case sensitive url comparison in tests (Closes: #848654)

 -- Ondřej Kobližek <koblizeko@gmail.com>  Mon, 19 Dec 2016 15:00:29 +0100

python-requests-unixsocket (0.1.5-2) unstable; urgency=medium

  * Standards-Version is 3.9.8 now (no change)
  * d/rules: Changed UPSTREAM_GIT protocol to https
  * d/copyright: Changed source URL to https protocol
  * d/s/options: extend-diff-ignore of .gitreview
  * d/control: Using OpenStack's Gerrit as VCS URLs.

 -- Ondřej Nový <novy@ondrej.org>  Sat, 09 Apr 2016 19:31:04 +0200

python-requests-unixsocket (0.1.5-1) unstable; urgency=medium

  * Initial release. (Closes: #817052)

 -- Thomas Goirand <zigo@debian.org>  Mon, 07 Mar 2016 23:31:15 +0800

=== debian/watch ===
version=3
http://pypi.python.org/packages/source/r/requests-unixsocket requests-unixsocket-(.*).tar.gz

## python-requests-unixsocket 0.3.0

=== debian/changelog ===
python-requests-unixsocket (0.3.0-6) unstable; urgency=medium

  * Switch to pybuild (Closes: #1090605).

 -- Thomas Goirand <zigo@debian.org>  Wed, 18 Dec 2024 23:07:54 +0100

python-requests-unixsocket (0.3.0-5) unstable; urgency=medium

  * Add requests-2.32.2.patch, thanks to Colin Watson <cjwatson@debian.org>
    (Closes: #1073393).

 -- Thomas Goirand <zigo@debian.org>  Mon, 26 Aug 2024 17:02:36 +0200

python-requests-unixsocket (0.3.0-4) unstable; urgency=medium

  * Apply Ubuntu patch (Closes: #1063892):
    - 0001-Inherit-HTTPConnection-through-urllib3.connection-no.patch
  * Add testutils-fix-test-flake-on-HEAD-request.patch (Closes: #1064926).
  * Add autopkgtest, thanks to Olivier Gayot <olivier.gayot@canonical.com>
    (Closes: #1064017).

 -- Thomas Goirand <zigo@debian.org>  Mon, 29 Apr 2024 15:10:08 +0200

python-requests-unixsocket (0.3.0-3) unstable; urgency=medium

  * Cleans better (Closes: #1048401).

 -- Thomas Goirand <zigo@debian.org>  Tue, 22 Aug 2023 09:40:33 +0200

python-requests-unixsocket (0.3.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 24 Mar 2022 10:48:39 +0100

python-requests-unixsocket (0.3.0-1) experimental; urgency=medium

  * New upstream release.
  * Removed do-not-run-tests-with--pep8.patch.

 -- Thomas Goirand <zigo@debian.org>  Tue, 15 Feb 2022 16:44:47 +0100

=== debian/control ===
Source: python-requests-unixsocket
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 10),
 dh-python,
 openstack-pkg-tools (>= 99~),
 python3-all,
 python3-pbr,
 python3-setuptools,
Build-Depends-Indep:
 python3-pytest,
 python3-requests,
 python3-urllib3,
 python3-waitress,
Standards-Version: 4.1.0
Vcs-Browser: https://salsa.debian.org/openstack-team/python/python-requests-unixsocket
Vcs-Git: https://salsa.debian.org/openstack-team/python/python-requests-unixsocket.git
Homepage: https://github.com/msabramo/requests-unixsocket

Package: python3-requests-unixsocket
Architecture: all
Depends:
 python3-requests,
 ${misc:Depends},
 ${python3:Depends},
Description: Use requests to talk HTTP via a UNIX domain socket - Python 3.x
 The requests-unixsocket makes it possible to talk using the HTTP protocol via
 a UNIX domain socket. Internally, requests-unixsocket uses monkeypatching to
 use the functionality of requests while making minimal changes.
 .
 Requests allow you to send HTTP/1.1 requests. You can add headers, form data,
 multipart files, and parameters with simple Python dictionaries, and access
 the response data in the same way. It's powered by httplib and urllib3, but
 it does all the hard work and crazy hacks for you.
 .
 This package contains the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/msabramo/requests-unixsocket.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=pybuild --with python3

override_dh_auto_clean:
	rm -rf build *.egg-info .pytest_cache
	find . -iname '*.pyc' -delete
	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	set -e ; set -x ; for pyvers in $(PYTHON3S); do \
		PYTHONPATH=$(CURDIR) python$$pyvers -m pytest requests_unixsocket/tests ; \
	done
endif

=== debian/tests/control ===
Tests: python3-requests-unixsocket
Depends: @, @builddeps@

## python-requests-unixsocket 1.0.1

=== debian/changelog ===
python-requests-unixsocket (1.0.1-1) unstable; urgency=medium

  * Switch upstream to https://gitlab.com/thelabnyc/requests-unixsocket2.
    Apply change to:
    - debian/rules
    - homepage in debian/control
    - upstream URL in debian/copyright
    (Closes: #1073180).
  * New upstream release.
  * Build-depends on  python3-hatchling and pybuild-plugin-pyproject, as this
    is what upstream uses now.
  * Deleted patches:
    - 0001-Inherit-HTTPConnection-through-urllib3.connection-no.patch
    - testutils-fix-test-flake-on-HEAD-request.patch
  * Refreshed requests-2.32.2.patch.
  * Let pybuild handle package installation.
  * Fixed d/watch file.
  * Standards-Version: 4.7.2.
  * Switch to debhelper-compat 13.

 -- Thomas Goirand <zigo@debian.org>  Sat, 29 Nov 2025 18:04:05 +0100

=== debian/control ===
--- 
+++ 
@@ -5,10 +5,12 @@
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
 Build-Depends:
- debhelper-compat (= 10),
+ debhelper-compat (= 13),
  dh-python,
- openstack-pkg-tools (>= 99~),
+ openstack-pkg-tools,
+ pybuild-plugin-pyproject,
  python3-all,
+ python3-hatchling,
  python3-pbr,
  python3-setuptools,
 Build-Depends-Indep:
@@ -16,10 +18,10 @@
  python3-requests,
  python3-urllib3,
  python3-waitress,
-Standards-Version: 4.1.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/openstack-team/python/python-requests-unixsocket
 Vcs-Git: https://salsa.debian.org/openstack-team/python/python-requests-unixsocket.git
-Homepage: https://github.com/msabramo/requests-unixsocket
+Homepage: https://gitlab.com/thelabnyc/requests-unixsocket2
 
 Package: python3-requests-unixsocket
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://gitlab.com/thelabnyc/requests-unixsocket2
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=pybuild --with python3

override_dh_auto_clean:
	rm -rf build *.egg-info .pytest_cache
	find . -iname '*.pyc' -delete
	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	set -e ; set -x ; for pyvers in $(PYTHON3S); do \
		PYTHONPATH=$(CURDIR) python$$pyvers -m pytest requests_unixsocket/tests ; \
	done
endif

=== debian/tests/control ===
Tests:
 python3-requests-unixsocket,
Depends:
 @,
 @builddeps@,

=== debian/watch ===
version=4
opts="mode=git,uversionmangle=s/\.0rc/~rc/;s/\.0b1/~b1/;s/\.0b2/~b2/;s/\.0b3/~b3/" \
https://gitlab.com/thelabnyc/requests-unixsocket2.git refs/tags/v(\d[brc\d\.]+)
